#Comment: Basic deploy Build
stages:
  - deploy

production:
  stage: deploy
  image: python:3.9
  before_script:
    - apt-get update -qy
    - apt-get install -y python-dev python-pip python-backports.functools-lru-cache python-tk
    - pip install -r requirements.txt
    - python model.py
  script:
    - apt-get install -y ruby-dev
    - gem install dpl
    - dpl --provider=heroku --app=$HEROKU_APP --api-key=$HEROKU_API_KEY --skip_cleanup
